@import "../../bower_components/bootstrap/less/bootstrap.less";
// @import "../../bower_components/bootstrap-material-design/less/bootstrap-material-design.less";
// @import "../../bower_components/bootstrap-material-design/less/_core.less";
@import "../../bower_components/bootstrap-material-design/less/_variables.less";
@import "../../bower_components/bootstrap-material-design/less/_mixins.less";
@import "../../bower_components/bootstrap-material-design/less/_shadows.less";

// ------------------- INICIO - MATERIAL BOOTSTRAP ---------------------------------

body {
	background-color: @body-bg;
	&.inverse {
		background: #333333;
		&, .form-control {
			color: @mdb-text-color-light;
		}
		.modal,
		.panel-default,
		.card {
			&,
			.form-control {
			background-color: initial;
			color: initial;
			}
		}

	}
}

body, h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4 {
	font-family: @font-family-sans-serif;
	font-weight: 300;
}

h5, h6 {
	font-weight: 400;

	& .material-icons {
		color: @link-color;
		font-size: 15px;
	}
}

a, a:hover, a:focus {
	color: @link-color;

	& .material-icons {
	vertical-align: middle;
	}
}

@import "../../bower_components/bootstrap-material-design/less/_form.less";
@import "../../bower_components/bootstrap-material-design/less/_buttons.less";
@import "../../bower_components/bootstrap-material-design/less/_checkboxes.less";
@import "../../bower_components/bootstrap-material-design/less/_togglebutton.less";
@import "../../bower_components/bootstrap-material-design/less/_radios.less";

legend {
	border-bottom: 0;
}

@import "../../bower_components/bootstrap-material-design/less/_lists.less";
@import "../../bower_components/bootstrap-material-design/less/_navbar.less";

.dropdown-menu {
	border: 0;
	box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
	.divider {
	background-color: rgba(0, 0, 0, .12);
	}
	li {
	overflow: hidden;
	position: relative;
	a:hover {
		background-color: transparent;
		color: @brand-primary;
	}
	}
}

@import "../../bower_components/bootstrap-material-design/less/_alerts.less";
@import "../../bower_components/bootstrap-material-design/less/_progress.less";
@import "../../bower_components/bootstrap-material-design/less/_typography.less";
@import "../../bower_components/bootstrap-material-design/less/_tabs.less";
@import "../../bower_components/bootstrap-material-design/less/_popups.less";
@import "../../bower_components/bootstrap-material-design/less/_cards.less";
@import "../../bower_components/bootstrap-material-design/less/_dialogs.less";
@import "../../bower_components/bootstrap-material-design/less/_panels.less";
@import "../../bower_components/bootstrap-material-design/less/_dividers.less";

// Prevent highlight on mobile
* {
	-webkit-tap-highlight-color: rgba(255, 255, 255, 0);
	-webkit-tap-highlight-color: transparent;
	&:focus {
	outline: 0;
	}
}


@import "../../bower_components/bootstrap-material-design/less/_themes.less";

// External plugins
//   @import "_plugins.less";

// ------------------- FIM - MATERIAL BOOTSTRAP ------------------------------------

@import "../../bower_components/bootstrap-material-design/less/ripples.less";
@import (less) "../../bower_components/material-design-icons/iconfont/material-icons.css";
@import (less) "../../bower_components/mdi/css/materialdesignicons.css";
@import "_variables.less";
@import "_map.less";
@import "_navs.less";
@import "_chip.less";
@import "_pagination.less";
@import "_table.less";
@import "_button.less";
@import "_dropdown.less";
@import "_card.less";
@import "_input.less";
@import "_panel.less";
@import "_alert.less";
@import "_modal.less";
@import "_icons.less";
@import "_badge.less";


body {
	overflow: hidden;
}

h1 {
	color: @cor-texto-principal;
	font-weight: 400;
}

h2,h3,h4,h5 {
	font-weight: 400;
	color: @cor-texto-secundario;
}

.subtitulo {
	margin-top: 20px;
	margin-bottom: 20px;
}

a {
	cursor: pointer;

	&:hover {
		color: @cor-tema;
	}
}

.pointer {
	cursor: pointer;
}

.image-horizontal-align {
    display: block;
    margin: auto;
}

.page-header {

	margin-top: @header-margin;

	.header-btn {
		margin: 0px;
	}

}

.md-padding {
	padding: 0px @standard-padding;
}

.no-padding-sides {
	padding-left: 0 !important;
	padding-right: 0 !important;
}

.no-padding {
	padding: 0px;
}

.no-margin {
	margin: 0 !important;
}

.linhaVisualizar {
	margin-bottom: 5px;
}

uib-tooltip-popup {
	z-index: 1500;
}

#header-body {
	margin-bottom: 0px;
	background-color: @white;
	color: @cor-tema;
	z-index: 10;
	.logged-user {

		a {
			color: @cor-texto-principal;
			cursor: pointer;
			padding-right: 0px;
			padding-bottom: 0px;
		}

	}

	.dropdown-toggle {
		padding-left: 0px;
	}

	.icon-arrow-header {
		color: @cor-texto-principal;
		font-size: 20px;
		position: relative;
		cursor: pointer;
	}

	box-shadow: 0px 0px 1px 1px rgba(0, 0, 0, 0.14),
	 			0px 0px 2px 2px rgba(0, 0, 0, 0.098),
	 			0px 0px 5px 1px rgba(0, 0, 0, 0.084);

}

#header-body-public {
	margin-bottom: 0px;
	background-color: @white;
	color: @cor-tema;
	z-index: 10;

	.logged-user {
		a {
			color: @cor-texto-principal;
			cursor: default;
		}
	}
}

#header-box-shadow {
	box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.14),
		    0px 4px 2px -2px rgba(0, 0, 0, 0.098);
}

.body-view {
	overflow-y: auto;
	max-height: 93vh;
	background-color: @bg;
	min-height: 93vh;
	padding: 0px 20px 20px 20px;
}

.row-padding-sides-20 {
	padding: 0 20px;
}
